Redmine - Patch #31919

Update roadie-rails gem (~> 2.1.0)
2019-08-17 05:49 - Go MAEDA

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 4.1.0
Description
diff --git a/Gemfile b/Gemfile
index d244bd2b9..12fc054fb 100644
-—— a/Gemfile
+++ b/Gemfile
@@ -7,7 +7,7 @@ gem "rouge", "~> 3.8.0"
gem "request_store", "1.0.5"
gem "mini_mime", "~> 1.0.1"
gem "actionpack-xml_parser"
-gem "roadie-rails", "~> 1.3.0"
+gem "roadie-rails", (RUBY_VERSION < "2.5" 2?2 "~> 1.3.0" "~> 2.1.0™")
gem "mimemagic"
gem "mail", "~> 2.7.1"
gem "csv", "~> 3.1.1"
Related issues:
Blocks Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading Closed

Associated revisions

Revisio

Update

n 18374 - 2019-08-17 06:26 - Go MAEDA
roadie-rails gem (~> 2.1.0) (#31919).

History

#1 - 201

9-08-17 05:50 - Go MAEDA

- Blocks Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 201

9-08-17 05:56 - Go MAEDA

roadie-rails 1.3.0 does not support Rails 6.

roadie-rails.gemspec:

"e 53"

spec.add_dependency "roadie", "~> 3.1"
spec.add_dependency "railties", ">= 3.0", "< 5.3"
spec.add_development_dependency "rails", ">= 4.2",
spec.add_development_dependency "bundler", "~> 1.6"
spec.add_development_dependency "rspec", "~> 3.0"
spec.add_development_dependency "rspec-rails"
spec.add_development_dependency "rspec-collection_matchers"

#3 - 2019-08-17 06:26 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.
2025-05-02
